aboutsummaryrefslogtreecommitdiff
path: root/src/dbmail/dbmail.rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'src/dbmail/dbmail.rc.d')
-rwxr-xr-xsrc/dbmail/dbmail.rc.d45
1 files changed, 45 insertions, 0 deletions
diff --git a/src/dbmail/dbmail.rc.d b/src/dbmail/dbmail.rc.d
new file mode 100755
index 0000000..f849b16
--- /dev/null
+++ b/src/dbmail/dbmail.rc.d
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+[ -f /etc/conf.d/dbmail ] && . /etc/conf.d/dbmail
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ mkdir -p /var/run/dbmail
+ chown -R nobody:nobody /var/run/dbmail
+ for daemon in $DBMAIL_DAEMONS; do
+ stat_busy "Starting DbMail ${daemon}"
+ /usr/sbin/${daemon} -p /var/run/dbmail/${daemon}.pid
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ done
+ add_daemon dbmail
+ ;;
+ stop)
+ for daemon in $DBMAIL_DAEMONS; do
+ stat_busy "Stopping DbMail ${daemon}"
+ pid=$(cat /var/run/dbmail/${daemon}.pid 2>/dev/null)
+ kill $pid 2>/dev/null
+ while kill -0 "$pid" 2>/dev/null; do
+ sleep 0.2
+ done
+ stat_done
+ done
+ rm_daemon dbmail
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+
+exit 0